org.activiti.engine.history

## Interface HistoricTaskInstance

- All Superinterfaces:
    HistoricData, TaskInfo

      public interface HistoricTaskInstance
      extends TaskInfo, HistoricData

  Represents a historic task instance (waiting, finished or deleted) that is stored permanent for statistics, audit and other business intelligence purposes.
  Author:
    Tom Baeyens, Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getClaimTime()` Time when the task was claimed.
    `String` | `getDeleteReason()` The reason why this task was deleted {'completed' | 'deleted' | any other user defined string }.
    `Long` | `getDurationInMillis()` Difference between `getEndTime()` and `getStartTime()` in milliseconds.
    `Date` | `getEndTime()` Time when the task was deleted or completed.
    `Date` | `getStartTime()` Time when the task started.
    `Long` | `getWorkTimeInMillis()` Difference between `getEndTime()` and `getClaimTime()` in milliseconds.
    `void` | `setLocalizedDescription(String description)` Sets an optional localized description for the task.
    `void` | `setLocalizedName(String name)` Sets an optional localized name for the task.

    - ### Methods inherited from interface org.activiti.engine.task.TaskInfo

      `getAssignee, getCategory, getCreateTime, getDescription, getDueDate, getExecutionId, getFormKey, getId, getName, getOwner, getParentTaskId, getPriority, getProcessDefinitionId, getProcessInstanceId, getProcessVariables, getTaskDefinitionKey, getTaskLocalVariables, getTenantId`

    - ### Methods inherited from interface org.activiti.engine.history.HistoricData

      `getTime`

- - ### Method Detail

    - #### getDeleteReason

          String getDeleteReason()

      The reason why this task was deleted {'completed' | 'deleted' | any other user defined string }.

    - #### getStartTime

          Date getStartTime()

      Time when the task started.

    - #### getEndTime

          Date getEndTime()

      Time when the task was deleted or completed.

    - #### getDurationInMillis

          Long getDurationInMillis()

      Difference between `getEndTime()` and `getStartTime()` in milliseconds.

    - #### getWorkTimeInMillis

          Long getWorkTimeInMillis()

      Difference between `getEndTime()` and `getClaimTime()` in milliseconds.

    - #### getClaimTime

          Date getClaimTime()

      Time when the task was claimed.

    - #### setLocalizedName

          void setLocalizedName(String name)

      Sets an optional localized name for the task.

    - #### setLocalizedDescription

          void setLocalizedDescription(String description)

      Sets an optional localized description for the task.

Copyright © 2016 Alfresco. All rights reserved.